#pragma rtGlobals=3		// Use modern global access method and strict wave access.
#include <SaveGraph>
Menu "Useful Tools"
"SaveWaves"
"SaveGraphsAsPICT"
end

Proc SaveWaves(matchst,overw)
String matchst="*",overw
Prompt matchst,"wavename"
Prompt overw,"overwrite?", Popup, "OK;NO" 
SaveW(matchst,overw)
end

Proc SaveGraphsAsPICT(matchst,overw,pict)
String matchst="*",overw,pict
Prompt matchst,"wavename"
Prompt pict,"format", Popup, "PNG;PDF"
Prompt overw,"overwrite?", Popup, "OK;NO"
SaveGP(matchst,overw,pict)
end

Function SaveW(matchst,overw)
String matchst,overw
NewPath/O/M="Choose a folder including data files"/O mypath
PathInfo mypath
if(V_flag == 0)
return 0
endif
Variable nmax,i
String wnam
nmax = itemsInList(WaveList(matchst,";",""))
if(Cmpstr(overw,"OK")==0)
for (i=0 ; i<nmax ; i+=1)
wnam=StringFromList(i,WaveList(matchst,";",""),";")
Wave wav=$wnam
wnam=wnam+".txt"
Save/G/W/P=mypath/O wav as wnam
endfor
else
for (i=0 ; i<nmax ; i+=1)
wnam=StringFromList(i,WaveList(matchst,";",""),";")
Wave wav=$wnam
wnam=wnam+".txt"
Save/G/W/P=mypath wav as wnam
endfor
endif
Killpath mypath
end

Function SaveGP(matchst,overw,pict)
String matchst,overw,pict
NewPath/O/M="Choose a folder including data files"/O mypath
PathInfo mypath
if(V_flag == 0)
return 0
endif
Variable nmax,i
String wnam,opt1,opt2
nmax = itemsInList(WinList(matchst,";","WIN:1"))
if (Cmpstr(pict,"PNG")==0)
opt1="B=288/E=-5"
else 
opt1="EF=1/E=-8"
endif
if(Cmpstr(overw,"OK")==0)
opt2="/O/"
else
opt2="/"
endif
for (i=0 ; i<nmax ; i+=1)
wnam=StringFromList(i,WinList(matchst,";","WIN:1"),";")
Execute "SavePICT/"+opt1+opt2+"WIN="+wnam+"/P=mypath"
endfor
Killpath mypath
end
